<?php
if (! function_exists('tippy_options_subpanel')) {
  function tippy_options_subpanel() {
    global $wpdb, $table_prefix;
    
    if (isset($_POST['info_update']) && is_admin() && wp_verify_nonce($_POST['tippy_verify'], 'tippy-options')) {
		update_option('tippy_tipPosition', $_POST['tippy_tipPosition']);
		update_option('tippy_openTip', $_POST['tippy_openTip']);
		update_option('tippy_fadeTip', $_POST['tippy_fadeTip']);
		update_option('tippy_tipPosition', $_POST['tippy_tipPosition']);
		update_option('tippy_tipOffsetX', $_POST['tippy_tipOffsetX']);
		update_option('tippy_tipOffsetY', $_POST['tippy_tipOffsetY']);
		update_option('tippy_linkWindow', $_POST['tippy_linkWindow']);
		update_option('tippy_sticky', $_POST['tippy_sticky']);
		update_option('tippy_showTitle', $_POST['tippy_showTitle']);
		update_option('tippy_closeLinkText', $_POST['tippy_closeLinkText']);
		
		if (get_option('tippy_sticky', 'false') == 'true') {
			update_option('tippy_showClose', 'true');
		} else {
			update_option('tippy_showClose', $_POST['tippy_showClose']);
		}

		echo '<div class="updated"><p><strong>Your options have been updated.</strong></p></div>';
    } else if (isset($_POST['info_update'])) {
	    echo '<div class="updated"><p><strong>Security verification timed out, please try again.</strong></p></div>';
    }
?>

<style type="text/css">
	div.wrap {
		max-width: 700px;
	}
	
	div.tippyOptionSection {
		margin-bottom: 20px;
		margin-left: 10px;
	}
	
	span.tippyOptionLabel {
		font-size: 16px;
	}
	
	div.tippyOptions {
		margin-left: 15px;
	}
	
	div.tippyOptionLeft {
		width: 125px;
		float: left;
	}
	
	div.tippyOptionRight {
		float: left;
	}
	
	div.clearOptions {
		margin-bottom: 5px;
		clear: both;
	}
</style>

<div class="wrap">
	<h2>Tippy Options</h2>
	<form method="post">
	<?php wp_nonce_field('tippy-options', 'tippy_verify'); ?>

	<div class="tippyOptionSection">
	    Here you can set default options for the tooltip. Note that some of these options will not work right together and may be changed by the plugin.<br /><br />

		<div class="tippyOptions">
        	How should the tooltip be activated?<br />
			<input id="tippy_openTip_hover" name="tippy_openTip"  type="radio" value="hover" <?php if (get_option('tippy_openTip', 'hover') == "hover") echo "checked" ?> />
				<label for="tippy_openTip_hover" title="Tooltip opens when user hovers over the link">
					Tooltip opens when hovering over the Tippy item
				</label><br />

			<input id="tippy_openTip_click" name="tippy_openTip" type="radio" value="click" <?php if (get_option('tippy_openTip', 'hover') == "click") echo "checked" ?> />
				<label for="tippy_openTip_click" title="Tooltip opens when user clicks the link">
					Tooltip opens when clicking the Tippy item
				</label><br /><br />
		</div>

		<div class="tippyOptions">
        	Do you want the tooltip to fade in/out or to show/hide instantly?<br />
			<input id="tippy_fadeTip_fade" name="tippy_fadeTip"  type="radio" value="fade" <?php if (get_option('tippy_fadeTip', 'fade') == "fade") echo "checked" ?> />
				<label for="tippy_fadeTip_fade" title="Tooltip fades in and out">
					Tooltip fades in and out
				</label><br />

			<input id="tippy_fadeTip_instant" name="tippy_fadeTip" type="radio" value="instant" <?php if (get_option('tippy_fadeTip', 'fade') == "instant") echo "checked" ?> />
				<label for="tippy_fadeTip_instant" title="Tooltip displays and disappears immediately, no fade effect">
					Tooltip displays and hides instantly
				</label><br /><br />
		</div>
		
		<div class="tippyOptions">
        	Should the tooltip close automatically when the user mouses away, or be sticky until the user manually closes it or activates another tooltip?<br />
			<input id="tippy_sticky_auto" name="tippy_sticky" type="radio" value="false" <?php if (get_option('tippy_sticky', 'false') == "false") echo "checked" ?> />
				<label for="tippy_sticky_auto" title="Tooltip automatically closes">
					Automatically closes when user mouses away from the link
				</label><br />
			
			<input id="tippy_sticky_stick" name="tippy_sticky"  type="radio" value="true" <?php if (get_option('tippy_sticky', 'false') == "true") echo "checked" ?> />
				<label for="tippy_sticky_stick" title="Tooltip is visible until user closes it">
					Remain sticky until user closes or activates another tooltip
				</label><br /><br />
		</div>
		
		<div class="tippyOptions">
        	Do you want the tooltip to display a Close link? (Useful for mobile browsers; required for sticky tooltips)<br />
			<input id="tippy_showClose_show" name="tippy_showClose" type="radio" value="true" <?php if (get_option('tippy_showClose', 'true') == "true") echo "checked" ?> />
				<label for="tippy_showClose_show" title="Tooltip displays a close link">
					Show close link
				</label><br />
			
			<input id="tippy_showClose_noshow" name="tippy_showClose"  type="radio" value="false" <?php if (get_option('tippy_showClose', 'true') == "false") echo "checked" ?> />
				<label for="tippy_showClose_noshow" title="Tooltip does not display a close link">
					Do not show close link
				</label><br /><br />
			
			<label for="tippy_closeLinkText" title="What text to display for the Close link?">
				What text to display for the Close link?
			</label>
			<input id="tippy_closeLinkText" name="tippy_closeLinkText" size="15" type="text" value="<?php echo get_option('tippy_closeLinkText', 'Close'); ?>" /><br /><br />
		</div>
		
		<div class="tippyOptions">
        	Should Tippy links and Header links open in the same window or a new window?<br />
			<input id="tippy_linkWindow_same" name="tippy_linkWindow" type="radio" value="same" <?php if (get_option('tippy_linkWindow', 'same') == "same") echo "checked" ?> />
				<label for="tippy_linkWindow_same" title="Tippy and Header links open in the same window">
					Open links in the same window
				</label><br />
			
			<input id="tippy_linkWindow_new" name="tippy_linkWindow"  type="radio" value="new" <?php if (get_option('tippy_linkWindow', 'same') == "new") echo "checked" ?> />
				<label for="tippy_linkWindow_new" title="Tippy and Header links open in a new window">
					Open links in a new window
				</label><br /><br />
		</div>
		
		<div class="tippyOptions">
        	Should the tooltip be positioned under the mouse pointer or under the link?<br />
			<input id="tippy_tipPosition_link" name="tippy_tipPosition" type="radio" value="link" <?php if (get_option('tippy_tipPosition', 'link') == "link") echo "checked" ?> />
				<label for="tippy_tipPosition_link" title="Tooltip positioned under the Tippy link">
					Tooltip positioned under the Tippy link
				</label><br />
			
			<input id="tippy_tipPosition_mouse" name="tippy_tipPosition"  type="radio" value="mouse" <?php if (get_option('tippy_tipPosition', 'link') == "mouse") echo "checked" ?> />
				<label for="tippy_tipPosition_mouse" title="Tooltip positioned under the mouse pointer">
					Tooltip positioned under the mouse pointer
				</label><br /><br />
		</div>
		
		<div class="tippyOptions">
        	How many pixels down and to the right should the tooltip be offset? Use negative values to pull it up and/or to the left.<br />
        	If your tooltip is being positioned too far down, set a negative value in the second box below.<br />
			<div style="display: inline-block; width: 260px;">
				<label for="tippy_tipOffsetX" title="How far to the right to move the tooltip">
					How far to the right to move the tooltip:
				</label>
			</div>
			<input id="tippy_tipOffsetX" name="tippy_tipOffsetX" size="3" type="text" value="<?php echo get_option('tippy_tipOffsetX', 0); ?>" />px<br />
			
			<div style="display: inline-block; width: 260px;">
				<label for="tippy_tipOffsetY" title="How far down to move the tooltip">
					How far down to move the tooltip:
				</label>
			</div>
			<input id="tippy_tipOffsetY" name="tippy_tipOffsetY" size="3" type="text" value="<?php echo get_option('tippy_tipOffsetY', 10); ?>" />px<br /><br />
			
		</div>
		
		<div class="tippyOptions">
        	Should Tippy links use the title attribute (may cover part of the tooltip)?<br />
        	<input id="tippy_showTitle" name="tippy_showTitle" size="3" type="checkbox" value="true" <?php if (get_option('tippy_showTitle', 'true') == "true") echo "checked" ?> /> 
				<label for="tippy_showTitle" title="Check to use the title attribute in Tippy links">
					Use title attribute in Tippy links
				</label>
		</div>
	</div>
	
	<input type="submit" name="info_update" value="Update Options" /><br /><br />

	</form>
	
	<span class="tippyOptionLabel">How to use Tippy</span><br />
	<div class="tippyOptionSection">
		Examples:<br />
        [tippy title="example tooltip" href="http://croberts.me/"]This is my nifty tooltip![/tippy]<br /><br />
        
        You can also specify height and width per-tooltip to provide adjustments as desired. Enter numbers only; size will be set in pixels.<br />
        [tippy title="Specifically sized" height="100" width="450"]This is my specifically sized tooltip.[/tippy]<br /><br />
        
		Be sure and include the title attribute or nothing will happen. You can include html between the tippy tags. The href tag is optional. If set, the tooltip header will link to the href. Header is also optional and controls whether or not the tooltip displays a header.<br /><br />
		Styling is defined in the file dom_tooltip.css. The best way to adjust styling is to copy this file to your theme's directory and edit it there. Tippy will automatically detect dom_tooltip.css located in your theme's folder.
	</div>
</div>

<?php
  }
}
?>